Page MenuHomePhabricator

[dotest] Support specifying a version for skipIfOutOfTreeDebugserver
AcceptedPublic

Authored by JDevlieghere on Sep 24 2019, 6:19 PM.

Details

Summary

The skipIfOutOfTreeDebugserver decorator is meant to skip tests that exercise functionalities that may not be present yet in a debugserver that ships with Xcode. This is inherently tied to a version of debugserver and therefore a version should be part of the decorator. This patch extends the decorator to take an operator and a debugserver version.

This patch also removes the --out-of-tree-debugserver dotest flag. Instead we expect --server to be passed even when using a system debugserver, which is used to deduct the current version.

Diff Detail

Repository
rLLDB LLDB

Event Timeline

JDevlieghere created this revision.Sep 24 2019, 6:19 PM
Herald added a project: Restricted Project. · View Herald Transcript
Herald added a subscriber: mgorny. · View Herald Transcript
JDevlieghere marked an inline comment as done.Sep 24 2019, 6:22 PM
JDevlieghere added inline comments.
lldb/packages/Python/lldbsuite/test/functionalities/thread/concurrent_events/TestConcurrentManyBreakpoints.py
18

I used 9999 here because that's commonly the placeholder until the next release.

JDevlieghere edited reviewers, added: xiaobai; removed: jfb.Sep 24 2019, 6:23 PM
labath added inline comments.Sep 25 2019, 1:45 AM
lldb/packages/Python/lldbsuite/test/functionalities/thread/concurrent_events/TestConcurrentManyBreakpoints.py
18

I haven't looked at the code in detail, but given that you are removing the explicit notion of an "out of tree" debug server, it seems to be that this will kick in even if you are testing against the in-tree debug server, which doesn't seem right. Or am I missing something?

aprantl added inline comments.Sep 25 2019, 9:27 AM
lldb/packages/Python/lldbsuite/test/commands/register/register/register_command/TestRegisters.py
73

This will not skip the test for an in-tree llvm.org debugserver, right?

73

(with a version number of 10)

JDevlieghere marked 2 inline comments as done.
JDevlieghere added inline comments.
lldb/packages/Python/lldbsuite/test/functionalities/thread/concurrent_events/TestConcurrentManyBreakpoints.py
18

Yeah, I was just going to check for version numbers below a hundred, but then forgot to add it before I uploaded the patch.

aprantl accepted this revision.Sep 25 2019, 9:47 AM
aprantl added inline comments.
lldb/packages/Python/lldbsuite/test/decorators.py
513

IMHO the expression if-else is only good for readability if the expression fits on one line :-)

lldb/packages/Python/lldbsuite/test/functionalities/thread/concurrent_events/TestConcurrentManyCrash.py
18

Did you file a radar to update these tests once the version number is known?

This revision is now accepted and ready to land.Sep 25 2019, 9:47 AM
labath accepted this revision.Sep 26 2019, 2:51 AM
JDevlieghere marked an inline comment as done.Oct 7 2019, 4:16 PM

This is blocked on debugserver not flushing its output when not running under a TTY. I added a real -version flag to debugserver that writes to stdout directory (r373127) but that's not very helpful when we're trying to detect older versions.